Updates the article stock location serial with the specified key (only article_id, article_stock_location_id, serial_number and reference_back_office can be updated)
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
article_stock_location_serial| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_id |
Foreign key of article (mandatory) |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location (optional, use an empty guid when the serial is not linked to a stock location) |
globally unique identifier | |
| serial_number |
Serial number (optional) |
string |
Max length: 255 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| status |
Status of the serial (Read-only, always AVAILABLE when created through the API) |
string | |
| sys_logical_delete |
Readonly system field managed by database |
boolean | |
| archived |
Readonly archived flag |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "be9d4880-8808-4133-97cf-e1c79aecdee6",
"article_id": "e14a2ed1-527c-4605-84d6-0cdf80a9f3c1",
"article_stock_location_id": "bb4caa53-46a1-4449-b2a4-ca5ab7dc0252",
"serial_number": "sample string 4",
"reference_back_office": "sample string 5",
"status": "sample string 6",
"sys_logical_delete": true,
"archived": true,
"modified_dateutc": "2026-08-19T01:05:06.3980714+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.